%define upstream_name	 SQL-Abstract-Limit
%define upstream_version 0.141

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:	Portable LIMIT emulation
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(DBI)
BuildRequires:  perl(Module::Build)
BuildRequires:	perl(SQL::Abstract) >= 1.20
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::More)

BuildArch:	noarch


%description
Portability layer for LIMIT emulation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor destdir=%{buildroot}
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/SQL
%{_mandir}/man*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.141.0-5.mga4
+ Revision: 514490
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.141.0-4.mga3
+ Revision: 372435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.141.0-3.mga1
+ Revision: 34213
- mageia rebuild
- imported package perl-SQL-Abstract-Limit

